@visual-framework/ebi-vf1-integration

    1.0.7 • Public • Published

    Compatibility with EBI-VF 1.x components

    npm version

    About

    Fixes, compatibility and workarounds for sites that use the EBI VF versions 1.1, 1.2, 1.3 or 1.4.

    Usage

    Enable its use by:

    • body class="ebi-vf1-integration", or
    • wrapping a section of html with the class .ebi-vf1-integration

    Install

    Option 1

    Use the global VF 2.0 CSS along side your existing VF 1.x CSS; see: https://stable.visual-framework.dev/

    Option 2

    If you don't want to include all the VF 2.0 CSS, add only the compatibility CSS:

    https://assets.emblstatic.net/vf/v2.4.15/assets/ebi-vf1-integration/ebi-vf1-integration.css
    

    Option 3

    This repository is distributed with npm. After installing npm, you can install ebi-vf1-integration with this command.

    $ yarn add --dev @visual-framework/ebi-vf1-integration
    

    Sass/CSS

    The style files included are written in Sass. If you're using a VF-core project, you can import it like this:

    @import "@visual-framework/ebi-vf1-integration/index.scss";
    

    Make sure you import Sass requirements along with the modules. You can use a project boilerplate or the vf-sass-starter

    Help

    Install

    npm i @visual-framework/ebi-vf1-integration

    DownloadsWeekly Downloads

    142

    Version

    1.0.7

    License

    Apache 2.0

    Unpacked Size

    37.1 kB

    Total Files

    13

    Last publish

    Collaborators

    • khawkins98